Rivet: Functions for Particles and Jets

| Rivet 3.1.9

Modules | Functions | Variables
Functions for Particles and Jets

## Modules
| ParticleBase classifier -> bool functors
| ParticleBase comparison -> double functors
| Next-level filtering

## Functions
virtual bool | Rivet::BoolParticleBaseFunctor::operator() (const ParticleBase &p) const =0
| Rivet::PtGtr::PtGtr (double pt)
| Rivet::PtGtr::PtGtr (const FourMomentum &p)
bool | Rivet::PtGtr::operator() (const ParticleBase &p) const
| Rivet::PtLess::PtLess (const FourMomentum &p)
| Rivet::PtLess::PtLess (double pt)
bool | Rivet::PtLess::operator() (const ParticleBase &p) const
| Rivet::PtInRange::PtInRange (pair< double, double > ptcuts)
| Rivet::PtInRange::PtInRange (double ptlow, double pthigh)
| Rivet::PtInRange::PtInRange (const FourMomentum &p1, const FourMomentum &p2)
bool | Rivet::PtInRange::operator() (const ParticleBase &p) const
| Rivet::EtaGtr::EtaGtr (double eta)
| Rivet::EtaGtr::EtaGtr (const FourMomentum &p)
bool | Rivet::EtaGtr::operator() (const ParticleBase &p) const
| Rivet::EtaLess::EtaLess (double eta)
| Rivet::EtaLess::EtaLess (const FourMomentum &p)
bool | Rivet::EtaLess::operator() (const ParticleBase &p) const
| Rivet::EtaInRange::EtaInRange (pair< double, double > etacuts)
| Rivet::EtaInRange::EtaInRange (double etalow, double etahigh)
| Rivet::EtaInRange::EtaInRange (const FourMomentum &p1, const FourMomentum &p2)
bool | Rivet::EtaInRange::operator() (const ParticleBase &p) const
| Rivet::AbsEtaGtr::AbsEtaGtr (double abseta)
| Rivet::AbsEtaGtr::AbsEtaGtr (const FourMomentum &p)
bool | Rivet::AbsEtaGtr::operator() (const ParticleBase &p) const
| Rivet::AbsEtaLess::AbsEtaLess (double abseta)
| Rivet::AbsEtaLess::AbsEtaLess (const FourMomentum &p)
bool | Rivet::AbsEtaLess::operator() (const ParticleBase &p) const
| Rivet::AbsEtaInRange::AbsEtaInRange (const pair< double, double > &absetacuts)
| Rivet::AbsEtaInRange::AbsEtaInRange (double absetalow, double absetahigh)
| Rivet::AbsEtaInRange::AbsEtaInRange (const FourMomentum &p1, const FourMomentum &p2)
bool | Rivet::AbsEtaInRange::operator() (const ParticleBase &p) const
| Rivet::RapGtr::RapGtr (double rap)
| Rivet::RapGtr::RapGtr (const FourMomentum &p)
bool | Rivet::RapGtr::operator() (const ParticleBase &p) const
| Rivet::RapLess::RapLess (double rap)
| Rivet::RapLess::RapLess (const FourMomentum &p)
bool | Rivet::RapLess::operator() (const ParticleBase &p) const
| Rivet::RapInRange::RapInRange (const pair< double, double > &rapcuts)
| Rivet::RapInRange::RapInRange (double raplow, double raphigh)
| Rivet::RapInRange::RapInRange (const FourMomentum &p1, const FourMomentum &p2)
bool | Rivet::RapInRange::operator() (const ParticleBase &p) const
| Rivet::AbsRapGtr::AbsRapGtr (double absrap)
| Rivet::AbsRapGtr::AbsRapGtr (const FourMomentum &p)
bool | Rivet::AbsRapGtr::operator() (const ParticleBase &p) const
| Rivet::AbsRapLess::AbsRapLess (double absrap)
| Rivet::AbsRapLess::AbsRapLess (const FourMomentum &p)
bool | Rivet::AbsRapLess::operator() (const ParticleBase &p) const
| Rivet::AbsRapInRange::AbsRapInRange (const pair< double, double > &absrapcuts)
| Rivet::AbsRapInRange::AbsRapInRange (double absraplow, double absraphigh)
| Rivet::AbsRapInRange::AbsRapInRange (const FourMomentum &p1, const FourMomentum &p2)
bool | Rivet::AbsRapInRange::operator() (const ParticleBase &p) const
| Rivet::DeltaRGtr::DeltaRGtr (const ParticleBase &vec, double dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRGtr::DeltaRGtr (const FourMomentum &vec, double dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRGtr::DeltaRGtr (const Vector3 &vec, double dr)
bool | Rivet::DeltaRGtr::operator() (const ParticleBase &p) const
| Rivet::DeltaRLess::DeltaRLess (const ParticleBase &vec, double dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRLess::DeltaRLess (const FourMomentum &vec, double dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRLess::DeltaRLess (const Vector3 &vec, double dr)
bool | Rivet::DeltaRLess::operator() (const ParticleBase &p) const
| Rivet::DeltaRInRange::DeltaRInRange (const ParticleBase &vec, const pair< double, double > &dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRInRange::DeltaRInRange (const ParticleBase &vec, double drmin, double drmax, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRInRange::DeltaRInRange (const FourMomentum &vec, const pair< double, double > &dr, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRInRange::DeltaRInRange (const FourMomentum &vec, double drmin, double drmax, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRInRange::DeltaRInRange (const Vector3 &vec, const pair< double, double > &dr)
| Rivet::DeltaRInRange::DeltaRInRange (const Vector3 &vec, double drmin, double drmax)
bool | Rivet::DeltaRInRange::operator() (const ParticleBase &p) const
| Rivet::DeltaPhiGtr::DeltaPhiGtr (const ParticleBase &vec, double dphi)
| Rivet::DeltaPhiGtr::DeltaPhiGtr (const FourMomentum &vec, double dphi)
| Rivet::DeltaPhiGtr::DeltaPhiGtr (const Vector3 &vec, double dphi)
bool | Rivet::DeltaPhiGtr::operator() (const ParticleBase &p) const
| Rivet::DeltaPhiLess::DeltaPhiLess (const ParticleBase &vec, double dphi)
| Rivet::DeltaPhiLess::DeltaPhiLess (const FourMomentum &vec, double dphi)
| Rivet::DeltaPhiLess::DeltaPhiLess (const Vector3 &vec, double dphi)
bool | Rivet::DeltaPhiLess::operator() (const ParticleBase &p) const
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const ParticleBase &vec, const pair< double, double > &dphi)
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const ParticleBase &vec, double dphimin, double dphimax)
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const FourMomentum &vec, const pair< double, double > &dphi)
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const FourMomentum &vec, double dphimin, double dphimax)
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const Vector3 &vec, const pair< double, double > &dphi)
| Rivet::DeltaPhiInRange::DeltaPhiInRange (const Vector3 &vec, double dphimin, double dphimax)
bool | Rivet::DeltaPhiInRange::operator() (const ParticleBase &p) const
| Rivet::DeltaEtaGtr::DeltaEtaGtr (const ParticleBase &vec, double deta)
| Rivet::DeltaEtaGtr::DeltaEtaGtr (const FourMomentum &vec, double deta)
| Rivet::DeltaEtaGtr::DeltaEtaGtr (const Vector3 &vec, double deta)
bool | Rivet::DeltaEtaGtr::operator() (const ParticleBase &p) const
| Rivet::DeltaEtaLess::DeltaEtaLess (const ParticleBase &vec, double deta)
| Rivet::DeltaEtaLess::DeltaEtaLess (const FourMomentum &vec, double deta)
| Rivet::DeltaEtaLess::DeltaEtaLess (const Vector3 &vec, double deta)
bool | Rivet::DeltaEtaLess::operator() (const ParticleBase &p) const
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const ParticleBase &vec, const pair< double, double > &deta)
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const ParticleBase &vec, double detamin, double detamax)
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const FourMomentum &vec, const pair< double, double > &deta)
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const FourMomentum &vec, double detamin, double detamax)
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const Vector3 &vec, const pair< double, double > &deta)
| Rivet::DeltaEtaInRange::DeltaEtaInRange (const Vector3 &vec, double detamin, double detamax)
bool | Rivet::DeltaEtaInRange::operator() (const ParticleBase &p) const
| Rivet::DeltaRapGtr::DeltaRapGtr (const ParticleBase &vec, double drap)
| Rivet::DeltaRapGtr::DeltaRapGtr (const FourMomentum &vec, double drap)
bool | Rivet::DeltaRapGtr::operator() (const ParticleBase &p) const
| Rivet::DeltaRapLess::DeltaRapLess (const ParticleBase &vec, double drap)
| Rivet::DeltaRapLess::DeltaRapLess (const FourMomentum &vec, double drap)
bool | Rivet::DeltaRapLess::operator() (const ParticleBase &p) const
| Rivet::DeltaRapInRange::DeltaRapInRange (const ParticleBase &vec, const pair< double, double > &drap)
| Rivet::DeltaRapInRange::DeltaRapInRange (const ParticleBase &vec, double drapmin, double drapmax)
| Rivet::DeltaRapInRange::DeltaRapInRange (const FourMomentum &vec, const pair< double, double > &drap)
| Rivet::DeltaRapInRange::DeltaRapInRange (const FourMomentum &vec, double drapmin, double drapmax)
bool | Rivet::DeltaRapInRange::operator() (const ParticleBase &p) const
virtual double | Rivet::DoubleParticleBaseFunctor::operator() (const ParticleBase &p) const =0
| Rivet::DeltaRWRT::DeltaRWRT (const ParticleBase &pb, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRWRT::DeltaRWRT (const FourMomentum &p4, RapScheme scheme=PSEUDORAPIDITY)
| Rivet::DeltaRWRT::DeltaRWRT (const Vector3 &p3)
double | Rivet::DeltaRWRT::operator() (const ParticleBase &pb) const
double | Rivet::DeltaRWRT::operator() (const FourMomentum &p4) const
double | Rivet::DeltaRWRT::operator() (const Vector3 &p3) const
| Rivet::DeltaPhiWRT::DeltaPhiWRT (const ParticleBase &pb)
| Rivet::DeltaPhiWRT::DeltaPhiWRT (const FourMomentum &p4)
| Rivet::DeltaPhiWRT::DeltaPhiWRT (const Vector3 &p3)
double | Rivet::DeltaPhiWRT::operator() (const ParticleBase &pb) const
double | Rivet::DeltaPhiWRT::operator() (const FourMomentum &p4) const
double | Rivet::DeltaPhiWRT::operator() (const Vector3 &p3) const
| Rivet::DeltaEtaWRT::DeltaEtaWRT (const ParticleBase &pb)
| Rivet::DeltaEtaWRT::DeltaEtaWRT (const FourMomentum &p4)
| Rivet::DeltaEtaWRT::DeltaEtaWRT (const Vector3 &p3)
double | Rivet::DeltaEtaWRT::operator() (const ParticleBase &pb) const
double | Rivet::DeltaEtaWRT::operator() (const FourMomentum &p4) const
double | Rivet::DeltaEtaWRT::operator() (const Vector3 &p3) const
| Rivet::AbsDeltaEtaWRT::AbsDeltaEtaWRT (const ParticleBase &pb)
| Rivet::AbsDeltaEtaWRT::AbsDeltaEtaWRT (const FourMomentum &p4)
| Rivet::AbsDeltaEtaWRT::AbsDeltaEtaWRT (const Vector3 &p3)
double | Rivet::AbsDeltaEtaWRT::operator() (const ParticleBase &pb) const
double | Rivet::AbsDeltaEtaWRT::operator() (const FourMomentum &p4) const
double | Rivet::AbsDeltaEtaWRT::operator() (const Vector3 &p3) const
| Rivet::DeltaRapWRT::DeltaRapWRT (const ParticleBase &pb)
| Rivet::DeltaRapWRT::DeltaRapWRT (const FourMomentum &p4)
double | Rivet::DeltaRapWRT::operator() (const ParticleBase &pb) const
double | Rivet::DeltaRapWRT::operator() (const FourMomentum &p4) const
| Rivet::AbsDeltaRapWRT::AbsDeltaRapWRT (const ParticleBase &pb)
| Rivet::AbsDeltaRapWRT::AbsDeltaRapWRT (const FourMomentum &p4)
double | Rivet::AbsDeltaRapWRT::operator() (const ParticleBase &pb) const
double | Rivet::AbsDeltaRapWRT::operator() (const FourMomentum &p4) const
FourMomentum | Rivet::Kin::mom (const ParticleBase &p)
| Unbound function access to momentum.
FourMomentum | Rivet::Kin::p4 (const ParticleBase &p)
| Unbound function access to momentum.
Vector3 | Rivet::Kin::p3 (const ParticleBase &p)
| Unbound function access to p3.
Vector3 | Rivet::Kin::pTvec (const ParticleBase &p)
| Unbound function access to pTvec.
double | Rivet::Kin::p (const ParticleBase &p)
| Unbound function access to p.
double | Rivet::Kin::pT (const ParticleBase &p)
| Unbound function access to pT.
double | Rivet::Kin::Et (const ParticleBase &p)
| Unbound function access to ET.
double | Rivet::Kin::eta (const ParticleBase &p)
| Unbound function access to eta.
double | Rivet::Kin::abseta (const ParticleBase &p)
| Unbound function access to abseta.
double | Rivet::Kin::rap (const ParticleBase &p)
| Unbound function access to rapidity.
double | Rivet::Kin::absrap (const ParticleBase &p)
| Unbound function access to abs rapidity.
double | Rivet::Kin::mass (const ParticleBase &p)
| Unbound function access to mass.
double | Rivet::Kin::pairPt (const ParticleBase &p1, const ParticleBase &p2)
| Unbound function access to pair pT.
double | Rivet::Kin::pairMass (const ParticleBase &p1, const ParticleBase &p2)
| Unbound function access to pair mass.

## Variables
double | Rivet::PtGtr::ptcut
double | Rivet::PtLess::ptcut
pair< double, double > | Rivet::PtInRange::ptcut
double | Rivet::EtaGtr::etacut
double | Rivet::EtaLess::etacut
pair< double, double > | Rivet::EtaInRange::etacut
double | Rivet::AbsEtaGtr::absetacut
double | Rivet::AbsEtaLess::absetacut
pair< double, double > | Rivet::AbsEtaInRange::absetacut
double | Rivet::RapGtr::rapcut
double | Rivet::RapLess::rapcut
pair< double, double > | Rivet::RapInRange::rapcut
double | Rivet::AbsRapGtr::absrapcut
double | Rivet::AbsRapLess::absrapcut
pair< double, double > | Rivet::AbsRapInRange::absrapcut
FourMomentum | Rivet::DeltaRGtr::refvec
double | Rivet::DeltaRGtr::drcut
RapScheme | Rivet::DeltaRGtr::rapscheme
FourMomentum | Rivet::DeltaRLess::refvec
double | Rivet::DeltaRLess::drcut
RapScheme | Rivet::DeltaRLess::rapscheme
FourMomentum | Rivet::DeltaRInRange::refvec
pair< double, double > | Rivet::DeltaRInRange::drcut
RapScheme | Rivet::DeltaRInRange::rapscheme
Vector3 | Rivet::DeltaPhiGtr::refvec
double | Rivet::DeltaPhiGtr::dphicut
Vector3 | Rivet::DeltaPhiLess::refvec
double | Rivet::DeltaPhiLess::dphicut
Vector3 | Rivet::DeltaPhiInRange::refvec
pair< double, double > | Rivet::DeltaPhiInRange::dphicut
Vector3 | Rivet::DeltaEtaGtr::refvec
double | Rivet::DeltaEtaGtr::detacut
Vector3 | Rivet::DeltaEtaLess::refvec
double | Rivet::DeltaEtaLess::detacut
Vector3 | Rivet::DeltaEtaInRange::refvec
pair< double, double > | Rivet::DeltaEtaInRange::detacut
FourMomentum | Rivet::DeltaRapGtr::refvec
double | Rivet::DeltaRapGtr::drapcut
FourMomentum | Rivet::DeltaRapLess::refvec
double | Rivet::DeltaRapLess::drapcut
FourMomentum | Rivet::DeltaRapInRange::refvec
pair< double, double > | Rivet::DeltaRapInRange::drapcut
const FourMomentum | Rivet::DeltaRWRT::p
RapScheme | Rivet::DeltaRWRT::rapscheme
const Vector3 | Rivet::DeltaPhiWRT::p
const Vector3 | Rivet::DeltaEtaWRT::p
const Vector3 | Rivet::AbsDeltaEtaWRT::p
const FourMomentum | Rivet::DeltaRapWRT::p
const FourMomentum | Rivet::AbsDeltaRapWRT::p

## Detailed Description

## Function Documentation

## ◆ operator()() [1/33]

bool Rivet::PtGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [2/33]

bool Rivet::PtLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [3/33]

bool Rivet::PtInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [4/33]

bool Rivet::EtaGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [5/33]

bool Rivet::EtaLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [6/33]

bool Rivet::EtaInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [7/33]

bool Rivet::AbsEtaGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [8/33]

bool Rivet::AbsEtaLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [9/33]

bool Rivet::AbsEtaInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [10/33]

bool Rivet::RapGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [11/33]

bool Rivet::RapLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [12/33]

bool Rivet::RapInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [13/33]

bool Rivet::AbsRapGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [14/33]

bool Rivet::AbsRapLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [15/33]

bool Rivet::AbsRapInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [16/33]

bool Rivet::DeltaRGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [17/33]

bool Rivet::DeltaRLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [18/33]

bool Rivet::DeltaRInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [19/33]

bool Rivet::DeltaPhiGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [20/33]

bool Rivet::DeltaPhiLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [21/33]

bool Rivet::DeltaPhiInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [22/33]

bool Rivet::DeltaEtaGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [23/33]

bool Rivet::DeltaEtaLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [24/33]

bool Rivet::DeltaEtaInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [25/33]

bool Rivet::DeltaRapGtr::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [26/33]

bool Rivet::DeltaRapLess::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [27/33]

bool Rivet::DeltaRapInRange::operator() | ( | const ParticleBase & | p | ) | const
| inlinevirtual

Implements Rivet::BoolParticleBaseFunctor.

## ◆ operator()() [28/33]

double Rivet::DeltaRWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.

## ◆ operator()() [29/33]

double Rivet::DeltaPhiWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.

## ◆ operator()() [30/33]

double Rivet::DeltaEtaWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.

## ◆ operator()() [31/33]

double Rivet::AbsDeltaEtaWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.

## ◆ operator()() [32/33]

double Rivet::DeltaRapWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.

## ◆ operator()() [33/33]

double Rivet::AbsDeltaRapWRT::operator() | ( | const ParticleBase & | pb | ) | const
| inlinevirtual

Implements Rivet::DoubleParticleBaseFunctor.